local trace = {}

local span_mt = {
    add_event = function(...)
        return 'add event'
    end,
    add_attribute = function(...)
        return 'add attribute'
    end,
    set_status = function (...)
        return 'set status'
    end,
    finish = function (...)
        return 'finish'
    end
}

local tracer_mt = {
    start_span = function(...)
        return span_mt
    end
}

trace.get_tracer = function(...)
    return tracer_mt
end

return trace